Daniel Reetz, the founder of the DIY Book Scanner community, has recently started making videos of prototyping and shop tips. If you are tinkering with a book scanner (or any other project) in your home shop, these tips will come in handy. https://www.youtube.com/channel/UCn0gq8 ... g_8K1nfInQ

Spreads on Ubuntu 14.04 LTS

Johannes Baiter's Spreads and SpreadPi are the latest control systems and postprocessors for DIY scanning. http://spreads.readthedocs.org
Post Reply
pinetec-1
Posts: 1
Joined: 07 Jul 2015, 15:33
Number of books owned: 0
Country: United States
Location: Ashland, VA
Contact:

Spreads on Ubuntu 14.04 LTS

Post by pinetec-1 » 17 Jul 2015, 13:56

Hi,

I'm trying to run spreads on my Ubuntu box (14.04 LTS) and I have run into a problem when running spread gui.

I'm at the Spreads Wizard page and I have set my options, but when I click next I get the following error:

Traceback (most recent call last):
File "/usr/local/lib/python2.7/dist-packages/spreadsplug/gui/gui.py", line 235, in validatePage
wizard.workflow.prepare_capture()
File "/usr/local/lib/python2.7/dist-packages/spreads/workflow.py", line 873, in prepare_capture
if any(dev.target_page is None for dev in self.devices):
File "/usr/local/lib/python2.7/dist-packages/spreads/workflow.py", line 526, in devices
self._devices = plugin.get_devices(self.config, force_reload=True)
File "/usr/local/lib/python2.7/dist-packages/spreads/plugin.py", line 483, in get_devices
"Could not find any compatible devices!\n"
spreads.util.DeviceException: Could not find any compatible devices!
Make sure your devices are turned on and properly connected to the machine.

I have 2 Canon A2500 cameras connected and both are runnind chdk but they are obviously not being mounted correctly.

Any suggestions to mount these correctly?

Thanks in advance.

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest